# TiXmlUnknown Class Reference

Any tag that tinyXml doesn't recognize is saved as an unknown. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlUnknown:

List of all members.

## Public Member Functions

virtual TiXmlNode * | Clone () const
| Creates a copy of this Unknown and returns it.
virtual void | Print (FILE *cfile, int depth) const
| All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.
virtual const TiXmlUnknown * | ToUnknown () const
| Cast to a more defined type. Will return null not of the requested type.
virtual TiXmlUnknown * | ToUnknown ()
| Cast to a more defined type. Will return null not of the requested type.
virtual bool | Accept (TiXmlVisitor *content) const
| Walk the XML tree visiting this node and all of its children.

## Detailed Description

Any tag that tinyXml doesn't recognize is saved as an unknown.

It is a tag of text, but should not be modified. It will be written back to the XML, unchanged, when the file is saved.

DTD tags get thrown into TiXmlUnknowns.

## Member Function Documentation

virtual void TiXmlUnknown::Print | ( | FILE * | cfile,
|  | int | depth |
| ) |  |  | const`[virtual]`

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.

) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

The documentation for this class was generated from the following file:

- tinyxml.h